(* Copyright (c) 1994-2001, Enigon Software
All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list
  of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this
  list of conditions and the following disclaimer in the documentation and/or
  other materials provided with the distribution.
- Neither the name of Enigon Software nor the names of its contributors may be
  used to endorse or promote products derived from this software without specific
  prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-- end of licence --
Author: tfrey@enigon.com
Compiled version of Raily 2.0 can be found at http://www.enigon.com/museum *)
unit GeneralConstants;

interface

const DevelopStr='/develop';

// Constants for TxxxxAtom.EditState
// Check the following procedures when adding new Constants below
//   procedure TElEd.ElUngroupMClick(Sender: TObject);
const CAtomEdLk   =    $0001;  // 0000000000000001 element may not be moved
      CAtomTrack  =    $0002;  // 0000000000000010 element is track
      CAtomUser   =    $FF00;  // xxxxxxxx???????? x are element specific

// Constants for drawing double
const CDrawInner    =    $01;  // 00000001 draw one line
      CDrawOuter    =    $02;  // 00000010 draw double line
      CDrawBettung  =    $04;  // 00000100 draw the "bettung"

      // Constants for drawing double
const CShowRailNames =    $01;  // 00000001
      CShowFullNames =    $02;  // 00000010

// Constants for drawing connectors
const CDrawCnctSeparator =    $01;  // 00000001 draw separator
      CDrawCnctArrow     =    $02;  // 00000010 draw arrow

const InventoryIDString = 'RAILY for Windows 2.xx Inventory File';      

implementation

end.
