program Design;

uses
  Forms,
  MainUnit in 'MainUnit.pas' {Hauptfenster},
  Elementeditor in 'Elementeditor.pas' {ElEd},
  Elemente in 'Elemente.pas',
  Modules in 'Modules.pas',
  ImportConstants in 'ImportConstants.pas',
  ImportTypes in 'ImportTypes.pas',
  GeneralConstants in 'GeneralConstants.pas',
  RailyTypes in 'RailyTypes.pas',
  Globals in 'Globals.pas',
  Instances in 'Instances.pas',
  Plan in 'Plan.pas',
  PlanEditor in 'PlanEditor.pas' {PlanWindow},
  DLineProperty in 'DLineProperty.pas' {LinePropertyDLG},
  DArcProperty in 'DArcProperty.pas' {ArcPropertyDLG},
  OptionsDialog in 'OptionsDialog.pas' {OptionsDLG},
  ElementNameDialog in 'ElementNameDialog.pas' {ElNameDLG},
  DCnctProperty in 'DCnctProperty.pas' {CnctPropertyDLG},
  NewModuleDialog in 'NewModuleDialog.pas' {ModulePropertyDLG},
  AboutDLG in 'AboutDLG.pas' {AboutBox},
  URailyFX in 'URailyFX.pas',
  USpriteFX in 'USpriteFX.pas',
  UModuleSelect in 'UModuleSelect.pas' {ModuleSelectDLG},
  UInventory in 'UInventory.pas',
  PrintPreview in 'PrintPreview.pas' {PreviewForm},
  UPlanUndo in 'UPlanUndo.pas',
  ULineExporter in 'ULineExporter.pas',
  QueryDoubleDLG in 'QueryDoubleDLG.pas' {QueryDouble},
  LayerDLG in 'LayerDLG.pas' {LayerDialog},
  LayerSelectDLG in 'LayerSelectDLG.pas' {LayerSelectionDLG},
  AppTranslator in 'Apptranslator\AppTranslator.pas',
  UNewTextDLG in 'UNewTextDLG.pas' {NewTextDLG},
  NewCDRomLetter in 'NewCDRomLetter.pas' {NewCDROMDriveDLG},
  Scanner in 'Scanner.pas' {ScannerForm},
  SelectDirDLG in 'SelectDirDLG.pas' {SelectDirForm};

{$R *.RES}
{$D Namen sind was fuer grabsteine }
begin
  Application.Initialize;
  Application.Title := 'Raily for Windows 2.1';
  Application.CreateForm(THauptfenster, Hauptfenster);
  Application.CreateForm(TElEd, ElEd);
  Application.CreateForm(TLinePropertyDLG, LinePropertyDLG);
  Application.CreateForm(TArcPropertyDLG, ArcPropertyDLG);
  Application.CreateForm(TOptionsDLG, OptionsDLG);
  Application.CreateForm(TElNameDLG, ElNameDLG);
  Application.CreateForm(TCnctPropertyDLG, CnctPropertyDLG);
  Application.CreateForm(TModulePropertyDLG, ModulePropertyDLG);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TModuleSelectDLG, ModuleSelectDLG);
  Application.CreateForm(TQueryDouble, QueryDouble);
  Application.CreateForm(TLayerDialog, LayerDialog);
  Application.CreateForm(TLayerSelectionDLG, LayerSelectionDLG);
  Application.CreateForm(TNewTextDLG, NewTextDLG);
  Application.CreateForm(TNewCDROMDriveDLG, NewCDROMDriveDLG);
  Application.CreateForm(TScannerForm, ScannerForm);
  Application.CreateForm(TSelectDirForm, SelectDirForm);
  Application.Run;
end.
